%define gitdate @@gitdate@@
Summary:	Apache module
Name:		hsphere_mod_hostinglimits
Version:	0.7
Release:	1%{?dist}
Source0:	%{name}.tar.bz2
Source1:	hsphere_modhostinglimits.conf
Group:		System Environment/Daemons
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       lve-utils
Requires:       liblve

BuildRequires:	httpd-devel
BuildRequires:	cmake
BuildRequires:  liblve
BuildRequires:  liblve-devel

%description
This package contains Apache module


%prep
%setup -q -n %{name}

%build
cmake .
make

%install
mkdir -p $RPM_BUILD_ROOT%{_sbindir} $RPM_BUILD_ROOT/hsphere/shared/apache2/modules/ $RPM_BUILD_ROOT/hsphere/shared/apache2/conf/
install -D lib/mod_hostinglimits.so $RPM_BUILD_ROOT/hsphere/shared/apache2/modules/
install -m 644 -D %{SOURCE1} $RPM_BUILD_ROOT/hsphere/shared/apache2/conf

%post
ISMODINSTALL=$(cat /hsphere/shared/apache2/conf/custom.conf | grep hsphere_modhostinglimits)
if [ -z "$ISMODINSTALL" ];then
    echo "" >> /hsphere/shared/apache2/conf/custom.conf
    echo "Include /hsphere/local/config/httpd2/hsphere_modhostinglimits.conf" >> /hsphere/shared/apache2/conf/custom.conf
fi
        
%preun
if [ $1 = 0 ]; then
    ISMODINSTALL=$(cat /hsphere/shared/apache2/conf/custom.conf | grep hsphere_modhostinglimits)
    if [ -n "$ISMODINSTALL" ];then
         cat /hsphere/shared/apache2/conf/custom.conf | sed "/hsphere_modhostinglimits/d" > /hsphere/shared/apache2/conf/custom1.conf
         cp -f /hsphere/shared/apache2/conf/custom1.conf  /hsphere/shared/apache2/conf/custom.conf
         rm -f /hsphere/shared/apache2/conf/custom1.conf
    fi
fi        

%files
%defattr(-,root,root,-)
/hsphere/shared/apache2/conf/*
/hsphere/shared/apache2/modules/*

%clean 
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Nov 09 2009 CloudLinux Packaging Team <packages@cloudlinux.com> - 0.1-1
- initial package
