%define gitdate @@gitdate@@

Summary:	Apache module
Name:		hsphere_mod_hostinglimits1_3
Version:	0.6.2
Release:	0.1.%{gitdate}git%{?dist}.1
Source0:	%{name}.tar.bz2
Source1:	hsphere_modhostinglimits1_3.conf
Group:		System Environment/Daemons
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       lve-utils

BuildRequires:	apache-hsphere-devel
BuildRequires:	cmake
BuildRequires:  lve-devel

%description
This package contains Apache module


%prep
%setup -q -n %{name}

%build
cmake .
make

%install
mkdir -p $RPM_BUILD_ROOT%{_sbindir} $RPM_BUILD_ROOT/hsphere/shared/apache/libexec/ $RPM_BUILD_ROOT/hsphere/shared/apache/conf/
install -D lib/mod_hostinglimits.so $RPM_BUILD_ROOT/hsphere/shared/apache/libexec/
install -m 644 -D %{SOURCE1} $RPM_BUILD_ROOT/hsphere/shared/apache/conf

%post
ISMODINSTALL=$(cat /hsphere/shared/apache/conf/custom.conf | grep hsphere_modhostinglimits)
if [ -z "$ISMODINSTALL" ];then
    echo "" >> /hsphere/shared/apache/conf/custom.conf
    echo "Include /hsphere/shared/apache/conf/hsphere_modhostinglimits1_3.conf" >> /hsphere/shared/apache/conf/custom.conf
fi
        
%preun
if [ $1 = 0 ]; then
    ISMODINSTALL=$(cat /hsphere/shared/apache/conf/custom.conf | grep hsphere_modhostinglimits)
    if [ -n "$ISMODINSTALL" ];then
         cat /hsphere/shared/apache/conf/custom.conf | sed "/hsphere_modhostinglimits/d" > /hsphere/shared/apache/conf/custom1.conf
         cp -f /hsphere/shared/apache/conf/custom1.conf  /hsphere/shared/apache/conf/custom.conf
         rm -f /hsphere/shared/apache/conf/custom1.conf
    fi
fi        

%files
%defattr(-,root,root,-)
%config(noreplace) /hsphere/shared/apache/conf/*
/hsphere/shared/apache/libexec/*

%clean 
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Mar 23 2010 Igor Seletskiy <iseletsk@gmail.com> 
  - [#Feature 134] DirectAdmin support

* Wed Mar 10 2010 Alexey Fomenko <alexey.fomenko@asplinux.ru> 
  - [#Bug 124] httpd fails

* Wed Jan 27 2010 Igor Seletskiy <iseletsk@gmail.com> 
  - [#Feature 104] prefix in logs should state mod hostinglimits

* Wed Jan 27 2010 Igor Seletskiy <iseletsk@gmail.com> 
  - [#Feature 103] fix issue for PHP executed via CGI

* Wed Jan 27 2010 Igor Seletskiy <iseletsk@gmail.com> 
  - [#Feature 102] remove AllowSuHandlers

* Wed Jan 27 2010 Igor Seletskiy <iseletsk@gmail.com> 
  - [#Bug 83] AllowSuHandlers stability issues

* Sun Jan 10 2010 Igor Seletskiy <iseletsk@gmail.com> 
  - [#Bug 78] Remove HostingLimis initialization

* Sun Jan 10 2010 Igor Seletskiy <iseletsk@gmail.com> 
  - [#Feature 79] Ability to control which handers should switch user context, and whichshouldn't

* Sun Jan 10 2010 Igor Seletskiy <iseletsk@gmail.com> 
  - [#Feature 80] Allow to setup LVEId on per directory level

* Sun Jan 10 2010 Igor Seletskiy <iseletsk@gmail.com> 
  - [#Bug 69] potential vulnerability in cookie handling

* Sun Jan 10 2010 Igor Seletskiy <iseletsk@gmail.com> 
  - [#Feature 73] make it work so that only LVE part works, and no user context switch is needed
